Bug 219749 - math/metis: update IDXTYPEWIDTH to 64 on 64 bit platforms.
Summary: math/metis: update IDXTYPEWIDTH to 64 on 64 bit platforms.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-06-03 15:20 UTC by Pedro F. Giffuni
Modified: 2019-01-15 12:54 UTC (History)
0 users

See Also:


Attachments
Port update patch (797 bytes, patch)
2017-06-03 15:20 UTC, Pedro F. Giffuni
no flags Details | Diff
Metis Port update patch (1.87 KB, patch)
2017-06-03 15:58 UTC, Pedro F. Giffuni
no flags Details | Diff
Metis Port update patch (1.63 KB, patch)
2017-06-04 01:36 UTC, Pedro F. Giffuni
no flags Details | Diff
math/metis update patch (1.75 KB, patch)
2019-01-11 04:35 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni freebsd_committer 2017-06-03 15:20:12 UTC
Created attachment 183172 [details]
Port update patch

This appears documented in the INSTALL.txt file:
...
3. Edit the file include/metis.h and specify the width (32 or 64 bits) of the
   elementary data type used in METIS. This is controled by the IDXTYPEWIDTH
   constant.

   For now, on a 32 bit architecture you can only specify a width of 32, 
   whereas for a 64 bit architecture you can specify a width of either 
   32 or 64 bits.

...

It affects the case where there is a huge graph.

I decided not to touch REALTYPEWIDTH for now, since it is unclear what side effects it may have.
Comment 1 Pedro F. Giffuni freebsd_committer 2017-06-03 15:58:11 UTC
Created attachment 183176 [details]
Metis Port update patch

Some more change while here:

- Use OpenMP by default but define compiler:openmp which is more generic than just depending on GCC.
- Regenerate the patch with "makepatch".

There are currently no ports depending on this version of metis so the changes won't have any impact.
Comment 2 Pedro F. Giffuni freebsd_committer 2017-06-04 01:36:51 UTC
Created attachment 183189 [details]
Metis Port update patch

KISS: leave out openmp as a default for now. Upstream has a special version for that.

The rest of the patch has a higher priority anyways.
Comment 3 Pedro F. Giffuni freebsd_committer 2019-01-11 04:35:01 UTC
Created attachment 201012 [details]
math/metis update patch

Add some extra portlint
Comment 4 commit-hook freebsd_committer 2019-01-15 12:52:57 UTC
A commit references this bug:

Author: swills
Date: Tue Jan 15 12:52:47 UTC 2019
New revision: 490369
URL: https://svnweb.freebsd.org/changeset/ports/490369

Log:
  math/metis: update IDXTYPEWIDTH to 64 on 64 bit platforms

  While here, pet portlint

  PR:		219749
  Submitted by:	pfg

Changes:
  head/math/metis/Makefile
  head/math/metis/files/patch-programs_CMakeLists.txt
Comment 5 Steve Wills freebsd_committer 2019-01-15 12:54:11 UTC
Committed, thanks!